# PhasicFlow: src/phasicFlow/structuredData/iBox/iBox.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

iBox.hpp File Reference
Include dependency graph for iBox.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | iBox< intType >

## Namespaces

| pFlow

## Functions

template<typename intType >
FUNCTION_H iIstream & | operator>> (iIstream &is, iBox< intType > &b)
template<typename intType >
FUNCTION_H iOstream & | operator<< (iOstream &os, const iBox< intType > &b)